Provide "edit warning" for pages when someone else has just started editing
Closed, DeclinedPublic

Description

Some wiki platforms offer a nice soft-locking feature, where users are warned if
any other user has started editing the page/section they have just begun to edit
within the last [few minutes].

For instance, Moinmoin has messages of the form: "Other users will be warned
until 2005-02-11 07:11:45 that you are editing this page. Use the Preview button
to extend the locking period."

This would be moughty helpful, and would save the use of ugly {{inuse}} templates.


Version: unspecified
Severity: enhancement
URL: http://en.wikipedia.org/w/index.php?title=Wikipedia:Village_pump_%28technical%29&oldid=15484838#Avoiding_edit_conflicts

bzimport added a project: MediaWiki-Page-editing.Via ConduitNov 21 2014, 8:12 PM
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz1510.
Sj created this task.Via LegacyFeb 11 2005, 5:00 AM
bzimport added a comment.Via ConduitOct 3 2005, 5:09 PM

gangleri wrote:

compare with

bug 2438: Prevent edit conflicts with "in use" warning

bzimport added a comment.Via ConduitOct 3 2005, 5:31 PM

ui2t5v002 wrote:

(In reply to comment #1)

bug 2438: Prevent edit conflicts with "in use" warning

Aren't these duplicates?

brion added a comment.Via ConduitOct 3 2005, 8:09 PM
  • Bug 2438 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitJun 16 2006, 7:21 AM

ui2t5v002 wrote:

More detailed description in Bug 2438

bzimport added a comment.Via ConduitJun 16 2006, 7:30 AM

phil.boswell wrote:

So are you suggesting that we provide a "View source" tab in all circumstances?
Because I frequently open mostly templates in "Edit mode" to copy and paste code
around, and this would result in those pages being left unusable in the meantime.

bzimport added a comment.Via ConduitJun 16 2006, 7:52 AM

ui2t5v002 wrote:

(In reply to comment #5)

So are you suggesting that we provide a "View source" tab in all circumstances?
Because I frequently open mostly templates in "Edit mode" to copy and paste code
around, and this would result in those pages being left unusable in the meantime.

Please read the descriptions again. This is a warning; not an edit lock.

bzimport added a comment.Via ConduitOct 10 2006, 6:15 PM

gwern0 wrote:

Phil: if you open a page and it warns you, and you go ahead any way, then you
are no worse off than before when you had no idea whether there was anyone else
interested or not (since many people don't use or don't know about {{inuse}}).

bzimport added a comment.Via ConduitOct 10 2006, 6:19 PM

jeluf wrote:

We have automatic conflict resolution, a warning would be meaningless for most
users, since their edit would be merged automatically. I'd propose to close this
as WONTFIX

bzimport added a comment.Via ConduitOct 10 2006, 6:22 PM

ui2t5v002 wrote:

(In reply to comment #8)

We have automatic conflict resolution,

which only works in some situations.

bzimport added a comment.Via ConduitJan 23 2008, 4:52 AM

MediaWiki wrote:

There is an Ajax Show Editors extension in SVN, though it requires a schema change (an extra table). It adds a div above the edit window with currently editing users and how long it's been since they last typed in the box. Perhaps that functionality could be merged into mainstream MW?

bzimport added a comment.Via ConduitJan 23 2008, 2:02 PM

ui2t5v002 wrote:

(In reply to comment #11)

http://www.mediawiki.org/wiki/Extension:EditWarning

Hmmm.

  • It should recognize anonymous edits, too.
  • If the "page lock" feature is implemented, we should make sure it is turned off for Wikipedia.
Catrope added a comment.Via ConduitJan 23 2008, 2:06 PM

(In reply to comment #12)

  • It should recognize anonymous edits, too.

Should be easy to do, user_id=0 and user_name='123.456.789.012'. Unfortunately, the extension isn't in SVN, maybe the author should be contacted.

aaron added a comment.Via ConduitAug 4 2008, 3:46 AM

This is too obtrusive for new users. Auto-merging and improved conflict handling is the way to go, not just saying "you shouldn't edit" or "be warned".

bzimport added a comment.Via ConduitAug 4 2008, 3:50 AM

ui2t5v002 wrote:

This should definitely be fixed. Edit conflicts are far too obtrusive, confusing, and stressful to rely on. This is already implemented in other wikis.

Add Comment